Cercasi Chiarimenti PwnageTool per JB 3.1 su 3GS

Salve a tutti…Poche ore fa è uscito il nuovo Pwnage tool che consente di fare il jb del fw 3.1 che tutti aspettavano. Però avendo già avuto esperienze negative in passato prima preferisco informarmi bene e ci sono alcuni punti oscuri che non sono riuscito a chiarire leggendo la guida. E credo che sarebbero utili anche ad altri utenti tali chiarimenti. Allora:

  1. Io ho effettuato il downgrade del mio iphone dal 3.1 al 3.0 e poi ho fatto il jb per redsn0w…Se uso il nuovo pwnage tool faccio danni?
  2. Ho la baseband 5.11.07 con il jb del 3.1 si sistema anche quello o devo ancora aspettare (ho letto cose discordanti)??? da questa guida (http://www.iphoneitalia.com/guida-effettuare-il-jailbreak-su-iphone-3gs-firmware-3-1-con-pwnagetool-mac-59362.html) sembrerebbe possibile l’unlock…
  3. Col benedetto windows si può fare??? basta davvero trovare un custom firmware del 3.1 creato con pwnage tool su mac e poi fare il ripristino oppure bisogna aspettare???

Grazie in anticipo per l’aiuto :slight_smile:

  1. ti conviene prima pwnare il 3.0
  2. si
  3. no ancora no

mi unisco alla discussione dato che anche io sono piu o meno nella stessa situazione… io ho un 3gs 3.0 JB con redsn0w.
Che guida dovrei seguire per mettere un 3.0 da jailbrekkare con Pwnage? si trova ancora il firm 3.0?

Col benedetto windows si può fare??? basta davvero trovare un custom firmware del 3.1 creato con pwnage tool su mac e poi fare il ripristino oppure bisogna aspettare???

Grazie in anticipo per l’aiuto :slight_smile:

La prima no nel senso che non è uscito ancora il software per windows. La seconda domanda ha come risposta si puoi farlo :wink:

mi aggiungo alla lista:P
domanda da un milione di euro:
io sincronizzo sempre il mio melafonino con windows xp in ufficio, a casa però uso un macbook. posso fare il jalibreak dal mac e poi reinstallare le applicazioni e tutte le mie cose dall’itunes del mio windows? (ovviamente non ripristinerò mai un backup di un vecchio firmware: brutta esperienza con 3.0)
grazie
Ale

Giuseppe, Omero87 capito grazie mille :smiley:

ecco anch’io a questo punto vorrei capire come fare…cioè si può pwnare tranquillamente anche adesso che ho il jb con redsn0w oppure dove fare altro prima??

vai tranquillo non ci sono problemi anche se hai jailbreak con redsn0w

bon grazie…quindi devo solo trovare un mac disponibile ed è fatta no?? :stuck_out_tongue:

si può fare anche senza mac

a ragaaa!!! io ho un mac:w00t::w00t:
se rispondete al mio quesito vi faccio fare il jalibreak dal mio:cool:

omero tu per caso sapresti indicarmi anche un link dove scaricare prima il custom firmware 3.0 così seguo il consiglio di giuseppe di pwnare prima il 3.0 e poi procedo con il 3.1 anche se ho un dubbio…il CFW che ho scaricato dal tuo link nell’altra discussione era stato creato mantenendo spuntata l’opzione “Attiva Telefono”?? perchè il mio iPhone è straniero e non vorrei compromettere di nuovo l’unlock dell’operatore

io non ci sto capendo più niente… ma non è possibile fare una guida per noi poveri disperati utilizzatori di win per fare il jb con custom firmware???
da una parte leggo una cosa, da un altra ne leggo un altra e così via… ho una tale confusione che non avete idea…lo chiedo a chi di dovere.
per favore potresti fare una guida, un tutorial, qualsiasi cosa, in cui si spiega chi può farlo, quali sono i requisiti, che cosa bisogna fare etc etc??? magari poi si evitano di aprile 5000 discussioni!!!

io un’idea ormai leggendo me la sono fatta ma concordo in pieno…Una guida sarebbe l’ideale!!

è stata rilasciata la guida per la procedura che è stata codificata,ovvero quella per jb su mac dei 3gs con firmware 3.0 o 3.0.1,quando usciranno gli altri metodi per win o per i 3gs con 3.1 verranno fatte le relative guide.
Molti stanno facendo il jb su win con dei custom firmware ma la procedura ufficiale non c è ancora!!!

Un po’ di chiarezza

Ragazzi vorrei fare un po’ di chiarezza su questo post e sulle cose che sono state dette e soprattutto per quanto concerne gli utenti redsn0w e la baseband.

Con il firmware 3.1 originale il nostro caro iPhone viene aggiornato anche per quanto concerne il software della baseband, ovvero il software del modem che gestisce tutte le funzionalità legate alla rete mobile.

Perchè dovrebbe importarci di questo aggiornamento ? Presto detto.

Ci sono due tipologie di iPhone, quelli il cui utilizzo è legato ad un solo operatore e quelli che possono essere utilizzati con tutte le sim.

Per la seconda tipologia non c’è alcun tipo di problema con l’aggiornamento della baseband mentre per i primi ce ne sono e di grossi.

Chi ha il cellulare carrier-locked e quindi utilizzabile solo con le sim di uno specifico operatore finora ha utilizzato ultrasn0w per sbloccarlo ma il problema è che ultrasn0w attualmente non funziona con l’ultima versione della baseband (5.08.01) ma solo con la precedente (4.26.08).

Questo significa in parole povere che se effettuate o avete effettuato un aggiornamento col firmware originale 3.1 vi si aggiorna anche la baseband e non potrete più utilizzare il telefono per chiamare nè per qualunque altra funzione legata alla rete mobile (sms, internet, eccetto il wifi).

Ora qui è stato giustamente detto che si può effettuare un downgrade alla versione 3.0 od alla 3.0.1 del firmware ma questo non deve erroneamente indurvi a pensare che verrà downgradato anche il firmware della baseband, QUELLO RIMARRA’ INVARIATO e voi resterete fregati.

Se invece effettuate un upgrade (se non l’avete già fatto) alla 3.1 utilizzando un firmware opportunamente personalizzato con Pwnage tool 3.1 (per iPhone 3G) o con Pwnage 3.1.3 (per iPhone 3GS), questo vi permetterà di effettuare un upgrade alla versione 3.1 senza aggiornare la baseband ed avere già il firmware jailbreakato.

Prima di ricapitolare voglio aggiungere un’ultima cosa:
c’è un raro caso in cui è possibile fare anche il downgrade della baseband ma questo solo se avete la versione 5.08 del bootloader.

Per tutti vi consiglio di seguire questi passi che ho schematizzato di seguito:

[LIST=1]

  • Siete utenti ultrasn0w (avete un telefono che normalmente funziona con un solo operatore) ? Se si andate al punto 2, altrimenti seguite il SOLO PUNTO 3 e poi saltate gli altri.
  • Il vostro telefono è accessibile o vi trovate davanti la schermate "solo chiamate di emergenza" ? Se è accessibile andate al punto 4, altrimenti al punto 3.
  • Installare un firmware custom fatto con Pwnage e quindi già jailbreakato, poi andate al punto 4 (non per chi ha saltato il punto 2).
  • Verificate la versione della vostra baseband, andando su Impostazioni -> Generale -> Info. [INDENT]Se avete la versione 4.26.08 installate tramite cydia il package ultrasn0w e godetevi il vostro telefono all'ultima versione con tutte le funzionalità.[/INDENT] [INDENT]Se avete la versione 5.08.01 seguite questa procedura per verificare la versione del bootloader: iClarified - iPhone - How to Check Your iPhone Bootloader Version (Windows) [INDENT]Se avete la versione di bootloader 5.08 allora siete fortunati, seguite questa guida Downgrade iPhone 3G Baseband 5.08.01(OS 3.1 B) to 4.26.08 | iPhone per effettuare il downgrade della baseband e poi tornate al punto 4.[/INDENT] [INDENT]Se avete una versione successiva alla 5.08 mi dispiace ma per ora non potrete godere delle funzioni relative alla rete mobile del vostro cellulare, dovete sperare ed aspettare che esca una versione ultrasn0w per la nuova baseband.[/INDENT][/INDENT] [/LIST]

    Se non siete utenti ultrasn0w non preoccupatevi del discorso della baseband MA COMUNQUE AGGIORNATE SOLO CON UN FIRMWARE GIA’ JAILBREAKATO perchè è l’unico modo per avere effettuare il jailbreak con la 3.1 perchè redsn0w non è ancora uscito.

    Per aiutarvi vi ricordo che potete scaricare i firmware già personalizzati, jailbreakati e senza upgrade della baseband da qui:

    My “Overseas” iPhone – Il mio iPhone “straniero”

    Spero di avervi chiarito un po’ le idee… Fatemi sapere…

  • Ok quindi io che ho fatto l’aggiornamento alla 3.1 e poi ho fatto il downgrade e mi ritrovo con la 5.11 come baseband, bootloader 6.04 e l’iphone carrier-locked cosa dovrei fare??
    Cioè nel senso io aggiornerei al 3.1 con il custom firmware…ma quale devo scaricare a questo punto?? quello senza aggiornamento della baseband?? mi cambia qualcosa??
    in ogni caso sembra che dovrò aspettare per usarlo come telefono :frowning:

    Scarica pure quello linkato nel mio blog, myoi.wordpress.com ma resta comunque il problema che per ora non riuscirai ad utilizzare alcuna funzione riguardante la rete mobile cellullare e quindi chiamate, messaggi (eccetto le e-mail) ed internet (eccetto wifi)…
    Controlla pure periodicamente il blog, appena uscirà una soluzione (presumibilmente ultrasn0w per la nuova baseband) sarà tempestivamente pubblicata e spiegata anche da me…
    Quanto a tempi al momento sembrano ignoti e non vi è nemmeno certezza che verrà rilasciata, anche se tutti speriamo di si.

    Per il futuro ricordati di non aggiornare MAI direttamente tramite iTunes quando ti notifica che è uscita una nuova versione di firmware, corri sempre prima su internet a vedere che cosa succede, informati, cerca di capire se è sicuro aggiornare soprattutto per te che come me hai un cellulare carrier-locked, in fondo il blog l’ho aperto principalmente per questo, per fornire informazioni rapide su come e quando aggiornare e se è sicuro farlo o meno, anche perchè spesso si fa confusione tra sblocco e jailbreak e questo può portare a problemi o a interpretare male determinate guide.

    A presto…

    ma quindi per che ha un 3.0 jb con redsn0w si puo seguire tranquillamente la guida o è meglio installare prima un 3.0 jb con PwnageTool?

    Non c’è bisogno che rifai il jailbreak, carica un custom firmware e vai…

    ok grazie mille

    lo so è che ho dovuto aggiornare alla 3.1 perchè ho avuto problemi e necessitavo di un ripristino altrimenti nn l’avrei fatto :frowning:

    e quindi un ultima cosa devo scaricare il CFW che non aggiorna la baseband o quello che non aggiorna la baseband e non attiva il telefono?? ci sono differenze?? grazie